function GenerateCollisionSetup(Size)
{
	return [
		{
			Type: "Box",
			Origin: new Vector(0, 0, 0),
			Extent: Size.Divide(2)
		},
		{
			Type: "Box",
			Origin: new Vector(0, 0, Size.Z),
			Extent: new Vector(2, 2, 5)
		},
		{
			Type: "Sphere",
			Origin: new Vector(0, 0, 0),
			Radius: Size.Length()
		},
		{
			Type: "Convex",
			Points: [
				new Vector(0, 0, 0),
				new Vector(0, 0, 1),
				new Vector(0, 1, 0),
				new Vector(1, 1, 0)
			]
		}
	];
}
